List Contacts by IDs

Bulk-fetch Contacts by a list of IDs. Useful when you cache Contact IDs locally and need to reconcile against the BEEM source of truth.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Lucene-style query for filtering contacts. Supported fields: searchTerm (free text search, e.g., searchTerm:John), entityType (INDIVIDUAL, COMPANY, e.g., entityType:COMPANY), relationshipType (SELF_OWNED, THIRD_PARTY).

int32
≥ 1

Maximum rows to count for pagination. When the result set exceeds this value, the total count will be capped at this number (use to optimize performance for large datasets).

integer
≥ 0
Defaults to 0

Zero-based page index (0..N)

integer
≥ 1
Defaults to 20

The size of the page to be returned

sort
array of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

sort
ids
array of uuids
required

List of contact IDs

ids*
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*